## kvkbd 0.5

=== Makefile ===
# Makefile.in generated by unsermake
####################################

top_builddir = .
srcdir = .
ACLOCAL = ${SHELL} /home/users/yodor/Personal/projects/personal/kvkbd-0.5/admin/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/users/yodor/Personal/projects/personal/kvkbd-0.5/admin/missing --run tar
AR = ar
ARTSCCONFIG = /usr/bin/artsc-config
AUTOCONF = $(SHELL) $(top_srcdir)/admin/cvs.sh configure || touch configure
AUTODIRS = 
AUTOHEADER = ${SHELL} /home/users/yodor/Personal/projects/personal/kvkbd-0.5/admin/missing --run autoheader
AUTOMAKE = ${SHELL} /home/users/yodor/Personal/projects/personal/kvkbd-0.5/admin/missing --run automake-1.8
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -std=iso9899:1990 -W -Wall -Wchar-subscripts -Wshadow -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -O2   -Wformat-security -Wmissing-format-attribute
CONF_FILES =  $(top_srcdir)/./admin/configure.in.min $(top_srcdir)/configure.in.in
CPP = gcc -E
CPPFLAGS =  -DQT_THREAD_SUPPORT  -D_REENTRANT
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -O2 -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common
CYGPATH_W = echo
DCOPIDL = /usr/bin/dcopidl
DCOPIDL2CPP = /usr/bin/dcopidl2cpp
DCOPIDLNG = /usr/bin/dcopidlng
DCOP_DEPENDENCIES = $(DCOPIDL) $(DCOPIDLNG)
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_PERMISSIVE_FLAG = -fpermissive
EXEEXT = 
F77 = 
FFLAGS = 
FRAMEWORK_COREAUDIO = 
GMSGFMT = /usr/bin/msgfmt
GREP = /usr/bin/grep
HAVE_GCC_VISIBILITY = 0
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL} $(INSTALL_STRIP_FLAG)
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
KCFG_DEPENDENCIES = $(KCONFIG_COMPILER)
KCONFIG_COMPILER = /usr/bin/kconfig_compiler
KDECONFIG = /usr/bin/kde-config
KDE_CHECK_PLUGIN = $(KDE_PLUGIN) -rpath $(libdir)
KDE_EXTRA_RPATH = 
KDE_INCLUDES = -I/usr/include/kde
KDE_LDFLAGS = -L/usr/lib
KDE_MT_LDFLAGS = 
KDE_MT_LIBS = -lpthread
KDE_NO_UNDEFINED = -Wl,--no-undefined -Wl,--allow-shlib-undefined
KDE_PLUGIN = -avoid-version -module -no-undefined $(KDE_NO_UNDEFINED) $(KDE_RPATH) $(KDE_MT_LDFLAGS)
KDE_RPATH = -R $(libdir) -R $(kde_libraries) -R $(qt_libraries) -R $(x_libraries)
KDE_USE_CLOSURE_FALSE = 
KDE_USE_CLOSURE_TRUE = #
KDE_USE_FINAL_FALSE = 
KDE_USE_FINAL_TRUE = #
KDE_USE_FPIE = -fPIE
KDE_USE_NMCHECK_FALSE = 
KDE_USE_NMCHECK_TRUE = #
KDE_USE_PIE = -pie
KDE_XSL_STYLESHEET = /usr/share/apps/ksgmltools2/customization/kde-chunk.xsl
LDFLAGS = 
LDFLAGS_AS_NEEDED = 
LDFLAGS_NEW_DTAGS = 
LIBCOMPAT = 
LIBCRYPT = -lcrypt
LIBDL = -ldl
LIBJPEG = -ljpeg
LIBOBJS = 
LIBPNG = -lpng -lz -lm
LIBPTHREAD = -lpthread
LIBRESOLV = -lresolv
LIBS = 
LIBSM = -lSM -lICE
LIBSOCKET = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool --silent
LIBUCB = 
LIBUTIL = -lutil
LIBZ = -lz
LIB_KAB = -lkab
LIB_KABC = -lkabc
LIB_KDECORE = -lkdecore
LIB_KDED = 
LIB_KDEPIM = -lkdepim
LIB_KDEPRINT = -lkdeprint
LIB_KDEUI = -lkdeui
LIB_KDNSSD = -lkdnssd
LIB_KFILE = -lkio
LIB_KFM = 
LIB_KHTML = -lkhtml
LIB_KIMPROXY = -lkimproxy
LIB_KIO = -lkio
LIB_KJS = -lkjs
LIB_KNEWSTUFF = -lknewstuff
LIB_KPARTS = -lkparts
LIB_KSPELL = -lkspell
LIB_KSYCOCA = -lkio
LIB_KUNITTEST = -lkunittest
LIB_KUTILS = -lkutils
LIB_POLL = 
LIB_QPE = 
LIB_QT = -lqt-mt  $(LIBZ) $(LIBPNG) -lXext $(LIB_X11) $(LIBSM) -lpthread
LIB_SMB = -lsmb
LIB_X11 = -lX11 $(LIBSOCKET)
LIB_XEXT = -lXext
LIB_XRENDER = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/users/yodor/Personal/projects/personal/kvkbd-0.5/admin/missing --run makeinfo
MAKEKDEWIDGETS = 
MCOPIDL = /usr/bin/mcopidl
MEINPROC = /usr/bin/meinproc
MOC = /usr/bin/moc
MSGFMT = /usr/bin/msgfmt
NOOPT_CFLAGS = -O0
NOOPT_CXXFLAGS = -O0
OBJEXT = o
PACKAGE = kvkbd
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PERL = /usr/bin/perl
QTE_NORTTI = 
QT_INCLUDES = -I/usr/include/qt
QT_LDFLAGS = 
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TOPSUBDIRS =  doc po src
UIC = /usr/bin/uic -L $(kde_widgetdir) -nounload
UIC_TR = tr2i18n
USER_INCLUDES = 
USER_LDFLAGS = 
USE_EXCEPTIONS = -fexceptions
USE_RTTI = 
USE_THREADS = 
VERSION = 0.5
WOVERLOADED_VIRTUAL = 
XGETTEXT = /usr/bin/xgettext
XMKMF = 
XMLLINT = /usr/bin/xmllint
X_EXTRA_LIBS = 
X_INCLUDES = -I.
X_LDFLAGS = -L/usr/lib
X_PRE_LIBS = 
X_RPATH = -R $(x_libraries)
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
all_includes = -I/usr/include/kde -I/usr/include/qt -I. 
all_libraries = -L/usr/lib   
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp

docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
include_ARTS_FALSE = #
include_ARTS_TRUE = 
include_x11_FALSE = #
include_x11_TRUE = 
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/users/yodor/Personal/projects/personal/kvkbd-0.5/admin/install-sh
kde_appsdir = ${datadir}/applnk
kde_bindir = ${exec_prefix}/bin
kde_confdir = ${datadir}/config
kde_datadir = ${datadir}/apps
kde_htmldir = ${datadir}/doc/HTML
kde_icondir = ${datadir}/icons
kde_includes = /usr/include/kde
kde_kcfgdir = ${datadir}/config.kcfg
kde_libraries = /usr/lib
kde_libs_htmldir = /usr/share/doc/HTML
kde_libs_prefix = /usr
kde_locale = ${datadir}/locale
kde_mimedir = ${datadir}/mimelnk
kde_moduledir = ${libdir}/kde3
kde_qtver = 3
kde_servicesdir = ${datadir}/services
kde_servicetypesdir = ${datadir}/servicetypes
kde_sounddir = ${datadir}/sounds
kde_styledir = ${libdir}/kde3/plugins/styles
kde_templatesdir = ${datadir}/templates
kde_wallpaperdir = ${datadir}/wallpapers
kde_widgetdir = /usr/lib/kde3/plugins/designer
kdeinitdir = $(kde_moduledir)
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p -- .
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
qt_includes = /usr/include/qt
qt_libraries = /usr/lib
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
top_srcdir = .
unsermake_enable_pch_FALSE = 
unsermake_enable_pch_TRUE = #
x_includes = .
x_libraries = /usr/lib
xdg_appsdir = ${datadir}/applications/kde
xdg_directorydir = ${datadir}/desktop-directories
xdg_menudir = ${sysconfdir}/xdg/menus
transform = s,x,x,
INSTALL = /bin/install -c -p
.FORWARDS: all install install-data install-exec clean check force-reedit

all:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake all

install:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake install

install-data:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake install-data

install-exec:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake install-exec

clean:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake clean

check:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake check

force-reedit:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake force-reedit

$(top_builddir)/Makefile: $(top_builddir)/config.status $(top_srcdir)/Makefile.in
	cd $(top_builddir) && $(SHELL) ./config.status Makefile

$(top_builddir)/config.h: $(top_builddir)/stamp-h1
	@if test ! -f $(top_builddir)/config.h; then \
	   rm -f $(top_builddir)/stamp-h1; \
	   cd $(top_builddir)/ && $(MAKE) stamp-h1; \
	else :; fi

$(top_builddir)/stamp-h1: $(top_srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f $(top_builddir)/stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h

$(top_srcdir)/config.h.in: $(top_srcdir)/configure.in
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f $(top_builddir)/stamp-h1
	touch $(top_srcdir)/config.h.in

all: $(top_builddir)/Makefile
distclean: distclean-hdr-top
distclean-hdr-top: 
	-rm -f $(top_builddir)/config.h $(top_builddir)/stamp-h1

final: 
	@echo no programs available to recreate as final. Call in subdirs

METASOURCES = 
.PHONY: all distclean distclean-hdr-top final

=== doc/Makefile ===
# Makefile.in generated by unsermake
####################################

top_builddir = ..
top_srcdir = ..
srcdir = .
.FORWARDS: all install install-data install-exec clean check force-reedit

all:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake all

install:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake install

install-data:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake install-data

install-exec:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake install-exec

clean:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake clean

check:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake check

force-reedit:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake force-reedit

$(top_builddir)/doc/Makefile: $(top_builddir)/config.status $(top_srcdir)/doc/Makefile.in
	cd $(top_builddir) && $(SHELL) ./config.status doc/Makefile

all: $(top_builddir)/doc/Makefile
final: 
	@echo no programs available to recreate as final. Call in subdirs

SUBDIRS = en
.PHONY: all final

=== po/Makefile ===
# Makefile.in generated by unsermake
####################################

top_builddir = ..
top_srcdir = ..
srcdir = .
.FORWARDS: all install install-data install-exec clean check force-reedit

all:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake all

install:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake install

install-data:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake install-data

install-exec:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake install-exec

clean:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake clean

check:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake check

force-reedit:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake force-reedit

$(top_builddir)/po/Makefile: $(top_builddir)/config.status $(top_srcdir)/po/Makefile.in
	cd $(top_builddir) && $(SHELL) ./config.status po/Makefile

all: $(top_builddir)/po/Makefile
final: 
	@echo no programs available to recreate as final. Call in subdirs

.PHONY: all final

=== src/Makefile ===
# Makefile.in generated by unsermake
####################################

top_builddir = ..
top_srcdir = ..
srcdir = .
.FORWARDS: all install install-data install-exec clean check force-reedit

all:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake all

install:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake install

install-data:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake install-data

install-exec:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake install-exec

clean:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake clean

check:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake check

force-reedit:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake force-reedit

$(DESTDIR)$(kde_icondir)/hicolor/16x16/apps/kvkbd.png: $(top_srcdir)/src/hi16-app-kvkbd.png
	@test -d $(DESTDIR)$(kde_icondir)/hicolor/16x16/apps || $(mkinstalldirs) $(DESTDIR)$(kde_icondir)/hicolor/16x16/apps
	$(INSTALL_DATA) $(srcdir)/hi16-app-kvkbd.png $(DESTDIR)$(kde_icondir)/hicolor/16x16/apps/kvkbd.png

$(DESTDIR)$(kde_icondir)/hicolor/32x32/apps/kvkbd.png: $(top_srcdir)/src/hi32-app-kvkbd.png
	@test -d $(DESTDIR)$(kde_icondir)/hicolor/32x32/apps || $(mkinstalldirs) $(DESTDIR)$(kde_icondir)/hicolor/32x32/apps
	$(INSTALL_DATA) $(srcdir)/hi32-app-kvkbd.png $(DESTDIR)$(kde_icondir)/hicolor/32x32/apps/kvkbd.png

$(top_builddir)/src/DragWidget.moc.cpp: $(top_srcdir)/src/DragWidget.h
	@echo '[34mcreating[0m $(top_builddir)/src/DragWidget.moc.cpp[0m'
	@$(MOC) $? -o $@

$(top_builddir)/src/MainWidget.moc.cpp: $(top_srcdir)/src/MainWidget.h
	@echo '[34mcreating[0m $(top_builddir)/src/MainWidget.moc.cpp[0m'
	@$(MOC) $? -o $@

$(top_builddir)/src/Makefile: $(top_builddir)/config.status $(top_srcdir)/src/Makefile.in
	cd $(top_builddir) && $(SHELL) ./config.status src/Makefile

$(top_builddir)/src/VButton.moc.cpp: $(top_srcdir)/src/VButton.h
	@echo '[34mcreating[0m $(top_builddir)/src/VButton.moc.cpp[0m'
	@$(MOC) $? -o $@

$(top_builddir)/src/numpadvbutton.moc.cpp: $(top_srcdir)/src/numpadvbutton.h
	@echo '[34mcreating[0m $(top_builddir)/src/numpadvbutton.moc.cpp[0m'
	@$(MOC) $? -o $@

$(top_builddir)/src/resizabledragwidget.moc.cpp: $(top_srcdir)/src/resizabledragwidget.h
	@echo '[34mcreating[0m $(top_builddir)/src/resizabledragwidget.moc.cpp[0m'
	@$(MOC) $? -o $@

all: $(top_builddir)/src/Makefile
final: 
	unsermake -C $(top_builddir)/src UNSERMAKE_FORCE_FINAL=1 kvkbd

install-kde-icons-top_src: $(DESTDIR)$(kde_icondir)/hicolor/32x32/apps/kvkbd.png $(DESTDIR)$(kde_icondir)/hicolor/16x16/apps/kvkbd.png
uninstall-kde-icons-top_src: 
	-rm -f $(DESTDIR)$(kde_icondir)/hicolor/32x32/apps/kvkbd.png
	-rm -f $(DESTDIR)$(kde_icondir)/hicolor/16x16/apps/kvkbd.png

KDE_ICON = $(srcdir)/hi32-app-kvkbd.png $(srcdir)/hi16-app-kvkbd.png
METASOURCES = DragWidget=./DragWidget.h resizabledragwidget=./resizabledragwidget.h numpadvbutton=./numpadvbutton.h MainWidget=./MainWidget.h VButton=./VButton.h
__um_includes_DragWidget.h = main.cpp MainWidget.cpp DragWidget.cpp resizabledragwidget.cpp
__um_includes_MainWidget.h = main.cpp MainWidget.cpp
__um_includes_VButton.h = main.cpp numpadvbutton.cpp MainWidget.cpp VButton.cpp
__um_includes_kaboutdata.h = main.cpp MainWidget.cpp
__um_includes_kapplication.h = MainWidget.cpp
__um_includes_kcmdlineargs.h = main.cpp
__um_includes_kconfig.h = MainWidget.cpp
__um_includes_khelpmenu.h = MainWidget.cpp
__um_includes_kiconloader.h = MainWidget.cpp
__um_includes_klocale.h = main.cpp
__um_includes_kmessagebox.h = resizabledragwidget.cpp
__um_includes_kpopupmenu.h = main.cpp MainWidget.cpp
__um_includes_ksystemtray.h = main.cpp MainWidget.cpp
__um_includes_kuniqueapplication.h = main.cpp
__um_includes_math.h = MainWidget.cpp
__um_includes_numpadvbutton.h = main.cpp numpadvbutton.cpp MainWidget.cpp
__um_includes_qevent.h = main.cpp numpadvbutton.cpp MainWidget.cpp DragWidget.cpp resizabledragwidget.cpp VButton.cpp
__um_includes_qfont.h = MainWidget.cpp VButton.cpp
__um_includes_qfontdialog.h = MainWidget.cpp
__um_includes_qpainter.h = main.cpp MainWidget.cpp resizabledragwidget.cpp
__um_includes_qpoint.h = main.cpp MainWidget.cpp DragWidget.cpp resizabledragwidget.cpp
__um_includes_qpushbutton.h = main.cpp numpadvbutton.cpp MainWidget.cpp VButton.cpp
__um_includes_qthread.h = main.cpp MainWidget.cpp
__um_includes_qtimer.h = main.cpp MainWidget.cpp
__um_includes_qtooltip.h = MainWidget.cpp
__um_includes_qvbox.h = VButton.cpp
__um_includes_qwidget.h = main.cpp MainWidget.cpp DragWidget.cpp resizabledragwidget.cpp
__um_includes_resizabledragwidget.h = main.cpp MainWidget.cpp resizabledragwidget.cpp
kvkbd_SOURCES = DragWidget.cpp KeyClip.cpp MainWidget.cpp VButton.cpp main.cpp numpadvbutton.cpp resizabledragwidget.cpp resizabledragwidget.h DragWidget.moc.cpp resizabledragwidget.moc.cpp numpadvbutton.moc.cpp MainWidget.moc.cpp VButton.moc.cpp
.PHONY: all final install-kde-icons-top_src uninstall-kde-icons-top_src

=== doc/en/Makefile ===
# Makefile.in generated by unsermake
####################################

top_builddir = ../..
top_srcdir = ../..
srcdir = .
.FORWARDS: all install install-data install-exec clean check force-reedit

all:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake all

install:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake install

install-data:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake install-data

install-exec:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake install-exec

clean:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake clean

check:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake check

force-reedit:
	@echo 'WARNING: use unsermake instead of make or use a wrapper script, e.g. makeobj!!!'
	unsermake force-reedit

$(top_builddir)/doc/en/Makefile: $(top_builddir)/config.status $(top_srcdir)/doc/en/Makefile.in
	cd $(top_builddir) && $(SHELL) ./config.status doc/en/Makefile

all: $(top_builddir)/doc/en/Makefile
final: 
	@echo no programs available to recreate as final. Call in subdirs

.PHONY: all final

## kvkbd 0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)
project( kvkbd )

find_package(KDE4 REQUIRED)
include (KDE4Defaults)

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

add_subdirectory( doc )
add_subdirectory( src )
add_subdirectory( pics )

=== doc/CMakeLists.txt ===
########### install files ###############
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kvkbd)

=== pics/CMakeLists.txt ===
install( FILES dock.png tray.png DESTINATION ${DATA_INSTALL_DIR}/kvkbd/pics)

=== src/CMakeLists.txt ===
find_package(KDE4 REQUIRED)

find_package(LibXslt REQUIRED)

include_directories( ${KDE4_INCLUDES} )

set(kvkbd_SRCS
    dragwidget.cpp
    mainwidget.cpp
    vbutton.cpp
    main.cpp
    numpadvbutton.cpp
    resizabledragwidget.cpp
    keysym2ucs.cpp
    kbddock.cpp)

QT4_ADD_DBUS_ADAPTOR(kvkbd_SRCS org.kde.kvkbd.Kvkbd.xml
                       mainwidget.h MainWidget)

QT4_ADD_DBUS_ADAPTOR(kvkbd_SRCS org.kde.kvkbd.Dock.xml
                       kbddock.h KbdDock)

kde4_add_executable(kvkbd ${kvkbd_SRCS})

target_link_libraries(kvkbd ${KDE4_KDECORE_LIBS} Xtst ${KDE4_KDEUI_LIBS})

install(TARGETS kvkbd ${INSTALL_TARGETS_DEFAULT_ARGS})

install( FILES kvkbd.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

=== debian/changelog ===
kvkbd (1:0.6-4) unstable; urgency=medium

  * QA upload.
  * Drop menu file and its pixmap, since kvkbd already provides a .desktop
    file.
  * Rewrite rules to use the dh sequencer with compat 9:
    - bump the debhelper build dependency to >= 9
    - bump compat to 9
    - remove the cdbs build dependency
    - use the kde dh addon, adding the pkg-kde-tools build dependency for it
      (Closes: #680192)
  * Enable the parallel build.
  * Remove the Vcs-* fields, outdated and on a dead website (googlecode.com).
  * Add the pkg-config build dependency.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jun 2016 00:03:44 +0200

kvkbd (1:0.6-3) unstable; urgency=low

  * QA upload.
  * Add X11 as a linked library. (Closes: #555069)
  * Set maintainer to Debian QA Group.
  * Bump to Standards-Version 3.9.2. No changes required.
  * Update debian/copyright to DEP5 revision 174.
  * Add Debian menu item.

 -- Mònica Ramírez Arceda <monica@probeta.net>  Tue, 14 Jun 2011 01:04:47 +0200

kvkbd (1:0.6-2) unstable; urgency=low

  * Switch to source format '3.0 (quilt)'.
    - Remove Build-Depends: quilt.

 -- Torsten Werner <twerner@debian.org>  Sun, 15 Nov 2009 12:08:10 +0100

kvkbd (1:0.6-1) unstable; urgency=low

  * Sync with Kubuntu.
  * Update Homepage and download address.
  * Add epoch because the upstream version is not 0.6.0 but 0.6.
  * Add debian/watch.
  * Add Build-Depends: libxslt1-dev.
  * Update Standards-Version: 3.8.2 (no changes).

 -- Torsten Werner <twerner@debian.org>  Sun, 28 Jun 2009 13:10:56 +0200

kvkbd (0.6.0-0ubuntu2) jaunty; urgency=low

  * Add kubuntu_01_list_in_khc.diff to list kvkbd in KHelpCenter

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 25 Jan 2009 17:27:41 +0100

kvkbd (0.6.0-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * debian/rules:
    - added get-orig-svn
  * debian/copyright:
    - fixed lintian copyright-lists-upstream-authors-with-dh_make-boilerplate
  * added debian/kvkbd.1:
    - generated using kdemangen.pl
  * added debian/manpages

 -- Guillaume Martres <smarter@ubuntu.com>  Tue, 21 Oct 2008 18:42:34 +0200

kvkbd (0.5.99-0ubuntu1) intrepid; urgency=low

  * New upstream release candidate
  * debian/control:
    - removed all Qt3/KDE3 related packages from Build-Depends
    - added quilt, cmake and kdelibs5-dev Build-Depends
    - forced cdbs version to >= 0.4.52ubuntu2 for kde4.mk
    - bumped Standards-Version to 3.8.0
    - changed previous Maintainer to XSBC-Original-Maintainer
    - set Maintainer to Ubuntu Core Developers
  * debian/rules:
    - use kde4.mk include
  * debian/patches/kubuntu_01_kdepot.patch:
    - removed, not needed anymore
  * debian/patches/kubuntu_02_nice_desktop_file.patch:
    - removed, applied upstream
  * debian/copyright:
    - added new author
    - gplv2+ license instead of gplv2 strict
    - removed bsd license for files that have been removed

 -- Guillaume Martres <smarter@ubuntu.com>  Mon, 25 Aug 2008 23:25:22 +0200

kvkbd (0.5-2) unstable; urgency=low

  * Fix Homepage. (Closes: #494828)

 -- Torsten Werner <twerner@debian.org>  Thu, 14 Aug 2008 17:48:24 +0200

kvkbd (0.5-1) unstable; urgency=low

  * first upload to Debian (Closes: #493773)
  * new upstream release
  * Remove autogenerated files.
  * Change Maintainer to myself - but I do happily accept comaintainers.
  * Replace hard change for g++-4.3 support by patchsys patch.
  * Fix debian/copyright.
  * Remove unneeded patch kubuntu_01_kdepot.patch.
  * Switch patchsys to quilt.
  * Add Vcs-* headers.
  * Bump up Standards-Version: 3.8.0.

 -- Torsten Werner <twerner@debian.org>  Mon, 04 Aug 2008 23:52:17 +0200

kvkbd (0.4.8-0ubuntu2) hardy; urgency=low

  * Fix build failures with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Jan 2008 10:43:53 +0000

kvkbd (0.4.8-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Updated debian/control:
    - updated my email address
    - moved Homepage up according to specs
    - bumped version to 3.7.3

 -- Richard A. Johnson <nixternal@kubuntu.org>  Tue, 22 Jan 2008 11:33:36 -0600

kvkbd (0.4.7-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 25 Oct 2007 15:48:02 +0200

kvkbd (0.4.5-0ubuntu3) gutsy; urgency=low

  * Added kubuntu_01_kdepot.patch for strings extraction to Rosetta
  * Added kubuntu_02_nice_desktop_file.patch, adding GenericName for XDG
    directory

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 29 Aug 2007 10:07:09 +0200

kvkbd (0.4.5-0ubuntu2) gutsy; urgency=low

  * Add autoconf to build-dep 

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 20 Aug 2007 10:57:04 -0500

kvkbd (0.4.5-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * Remaining Ubuntu changes:
    - debian/rules: added 'make -f Makefile.cvs' to create configure
    - debian/control: added automake1.10 so you can run previous command

 -- Richard A. Johnson <nixternal@ubuntu.com>  Thu, 09 Aug 2007 12:06:24 -0500

kvkbd (0.4-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * debian/rules: added 'make -f Makefile.cvs' to create configure
  * debian/control: added automake1.10 so you can run previous command

 -- Richard A. Johnson <nixternal@ubuntu.com>  Sat, 04 Aug 2007 12:03:32 -0500

kvkbd (0.3.1-0ubuntu1) gutsy; urgency=low

  * Initial release
  * Added COPYING.LIB to the .orig

 -- Richard A. Johnson <nixternal@ubuntu.com>  Thu, 02 Aug 2007 10:58:22 -0500

=== debian/control ===
Source: kvkbd
Section: kde
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools, pkg-config,
 kdelibs5-dev, libxtst-dev, libxslt1-dev
Standards-Version: 3.9.8
Homepage: http://www.kde-apps.org/content/show.php/Kvkbd+-+KDE4?content=94374

Package: kvkbd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Virtual keyboard for KDE
 Virtual keyboard for KDE for use with accessibility. The application contains
 a systray widget as well as a dockwidget.

=== debian/watch ===
version=3
http://www.kde-apps.org/content/download.php?content=94374 \
  /CONTENT/content-files/94374-kvkbd-(.*).tar.bz2.*
